--- title: "Canary Swagger Json 조회" slug: "apigateway-canarytest-swaggerjson" tags: ["API Gateway", "Canary Test"] updated: 2026-09-17T09:15:58Z published: 2026-09-17T09:15:58Z canonical: "api.ncloud-docs.com/apigateway-canarytest-swaggerjson" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Canary Swagger Json 조회 Classic/VPC 환경에서 이용 가능합니다. Canary에 배포된 API 문서 내용을 Swagger JSON 형식으로 조회합니다. ## 요청 요청 형식을 설명합니다. 요청 형식은 다음과 같습니다. | 메서드 | URI | | --- | --- | | GET | /api/v1/products/{product-id}/apis/{api-id}/stages/{stage-id}/canary/swagger-json | ### 요청 헤더 API Gateway에서 공통으로 사용하는 헤더에 대한 정보는 [API Gateway 요청 헤더](/docs/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94)를 참조해 주십시오. ### 요청 경로 파라미터 요청 경로 파라미터에 대한 설명은 다음과 같습니다. | 필드 | 타입 | 필수 여부 | 설명 | | --- | --- | --- | --- | | `product-id` | String | Required | API에 연결된 Product ID - 1~10자 | | `api-id` | String | Required | Product에 생성된 API ID - 1~10자 | | `stage-id` | String | Required | API에 생성된 Stage ID - 1~10자 | ### 요청 예시 요청 예시는 다음과 같습니다. ``` curl -X GET 'https://apigateway.apigw.ntruss.com/api/v1/products/{product-id}/apis/{api-id}/stages/{stage-id}/canary/swagger-json' \ --header 'Content-Type: application/json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## 응답 응답 형식을 설명합니다. ### 응답 구문 응답 구문은 다음과 같습니다. ``` { "documentJson": "documentJson" } ``` ### 응답 상태 코드 API Gateway에서 공통으로 사용하는 응답 상태 코드에 대한 정보는 [API Gateway 응답 상태 코드](/docs/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C)를 참조해 주십시오. ### 응답 예시 응답 예시는 다음과 같습니다. ``` { "documentJson": "{"swagger" : "2.0", "info" : { "description" : "api Description
https://**********.apigw.ntruss.com/api/v1", "version" : "2024-05-08T08:17:35Z", "title" : "api-***" }, "host" : "**********.apigw.ntruss.com", "basePath" : "/***/***", "schemes" : [ "https" ], "paths" : { "/" : { }, "/***" : { "post" : { "tags" : [ "v1" ], "parameters" : [ { "name" : "****", "in" : "query", "description" : "", "required" : false, "type" : "string", "x-ncp-parameter-is-logged" : false } ], "security" : [ { "x-ncp-iam" : [ ] } ], "responses" : { "200" : { "description" : "default" } }, "x-ncp-apigw-use-body-when-formdata" : false, "x-ncp-apigateway-filters" : { "valid" : { "type" : "NONE" }, "apiKey" : { "required" : true }, "auth" : { "platform" : "IAM" } } } } }, "securityDefinitions" : { "x-ncp-iam" : { "type" : "apiKey", "name" : "x-ncp-iam", "in" : "header", "x-ncp-apigw-auth-ver" : "v2" }, "x-ncp-apigw-api-key" : { "type" : "apiKey", "name" : "x-ncp-apigw-api-key", "in" : "header" } } }" } ```